import axios from 'axios'

const BASE_URL = 'https://places.googleapis.com/v1/places:searchNearby';
const API_KEY = process.env.EXPO_PUBLIC_GOOGLE_PLACE_API_KEY;

const config = {
    headers:{
        'Content-Type': 'application/json',
        'X-Goog-Api-Key': API_KEY,
        'X-Goog-FieldMask': [
            'places.displayName', 
            'places.formattedAddress',
            'places.location',
            'places.evChargeOptions',
            'places.photos',
            'places.id'
        ]
    }
}

const NewNearByPlace = (data) => axios.post(BASE_URL, data, config).catch(function (error) {
    console.log(error.toJSON());
  });
;

export default{NewNearByPlace, API_KEY}