import { Image, Pressable, StyleSheet, Text, View } from 'react-native'
import React from 'react';
import *as WebBrowser from "expo-web-browser";
import { useOAuth } from '@clerk/clerk-expo';
import { useWarmUpBrowser } from '../../../hooks/warmUpBrowser'


WebBrowser.maybeCompleteAuthSession();
const Login = () => {
  useWarmUpBrowser();
  const {startOAuthFlow} = useOAuth({strategy: "oauth_google"})

  const loginHandler = async() => {
    try {
      const {createdSessionId, signIn, signUp, setActive} = await startOAuthFlow();
      if(createdSessionId){
        setActive({session: createdSessionId});
      }

    } catch (error) {
      console.error("oAuth error");
    }
  }

  return (
    <View style={{flex:1, justifyContent: 'center', alignItems: 'center'}}>
      <Image source={require('../../../assets/images/ev_images/EV.png')}/>
      <View style={{padding: 20, marginVertical: 10}}> 
        <Text style={{fontSize: 24, textAlign: 'center', paddingHorizontal: 5, fontWeight: 600, color: '#45474B'}}>Find reliable EV charging stations near you just one click</Text>
        <Pressable onPress={loginHandler} style={{marginVertical: 50}}>
          <View style={{justifyContent: 'center', alignItems: 'center', padding: 10, backgroundColor: '#379777', marginHorizontal: 100, borderRadius: 5}}>
            <Text style={{fontSize: 20, fontWeight: 500, color: 'white'}}>Start</Text>
          </View>
        </Pressable>
      </View>
    </View>
  )
}

export default Login

const styles = StyleSheet.create({})