import { Image, StyleSheet, Text, View } from 'react-native'
import React, { useContext } from 'react'
import { Marker } from 'react-native-maps'
import { MarkerContext } from '@/app/context/MakerContext'

const MarkerList = ({index, place}) => {
  const {selectedMarker, setSelectedMarker} = useContext(MarkerContext);

  return place && (
    <Marker onPress={() => setSelectedMarker(index)}
      coordinate={{
        latitude: place.location?.latitude, 
        longitude: place.location?.longitude
      }}>
      <Image source={require('../../../assets/images/ev_images/charging.png')} style={{width: 50, height: 50}}/>
    </Marker>
  )
}

export default MarkerList

const styles = StyleSheet.create({})